﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class UfoController : MonoBehaviour
{
    public float speed = 1;

    private Vector3 target;

    // Start is called before the first frame update
    void Start()
    {
        // Vygeneruj novy nahodny ciel
        target = new Vector3(Random.Range(-7.5f, 7.5f), Random.Range(-4, 4), 0);
    }

    // Update is called once per frame
    void Update()
    {
        // Vypocitaj posun od aktualnej pozicie do ciela
        Vector3 direction = target - transform.position;

        // Ak je vzdialenost do ciela dostatocne mala
        if (direction.magnitude < 0.1f)
        {
            // Vygeneruj novy nahodny ciel
            target = new Vector3(Random.Range(-7.5f, 7.5f), Random.Range(-4, 4), 0);
        }
        else // A ak nie je vzdialenost dostatocne mala
        {
            // Znormalizuj tento posun
            direction.Normalize();

            // A posun sa o vektor posunu krat rychlost krat cas
            transform.Translate(direction * speed * Time.deltaTime);
        }
    }
}
